%define pkg_name        Crypt-Twofish
%define pkg_version     2.12
%define rpm_pkg_version 2.12
%define rpm_pkg_release 4.n0i.8

Summary:       The Twofish Encryption Algorithm
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AM/AMS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Twofish is a 128-bit symmetric block cipher with a variable length (128, 192,
or 256-bit) key, developed by Counterpane Labs. It is unpatented and free for
all uses, as described at http://www.counterpane.com/twofish.html

This module implements Twofish encryption. It supports the Crypt::CBC
interface.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.12-4.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 2.12-3.n0i.7
- automatic rebuild (perl 5.8.8)

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 2.12-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:2.12-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:2.12-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:2.12-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:2.12-0.n0i.2
- version 2.12
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 2.12-0.n0i
- Initial build.
